# $Id: ffmpeg.spec,v 1.2 2003/02/25 10:48:42 dude Exp $

#define date   2003-02-19
#define	sqdate %(echo %{date} | tr -d '-')

Summary: Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder.
Name: ffmpeg
Version: 0.4.6
Release: fr%{?date:0.%{sqdate}}%{!?date:2}
License: GPL
Group: System Environment/Libraries
Source: http://ffmpeg.sourceforge.net/cvs/%{name}-%{?date:cvs-%{date}}%{!?date:%{version}}.tar.gz
URL: http://ffmpeg.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: zlib
%{!?_without_a52dec:Requires: a52dec}
%{!?_without_lame:Requires: lame}
%{!?_without_vorbis:Requires: libogg, libvorbis}
BuildRequires: zlib-devel
%{!?_without_a52dec:BuildRequires: a52dec-devel}
%{!?_without_lame:BuildRequires: lame-devel}
%{!?_without_vorbis:BuildRequires: libogg-devel, libvorbis-devel}

%description
FFmpeg is a very fast video and audio converter. It can also grab from a
live audio/video source.
The command line interface is designed to be intuitive, in the sense that
ffmpeg tries to figure out all the parameters, when possible. You have
usually to give only the target bitrate you want. FFmpeg can also convert
from any sample rate to any other, and resize video on the fly with a high
quality polyphase filter.

Available rpmbuild rebuild options :
--without : a52dec lame vorbis


%package devel
Summary: Header files and static library for the ffmpeg codec library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
FFmpeg is a very fast video and audio converter. It can also grab from a
live audio/video source.
The command line interface is designed to be intuitive, in the sense that
ffmpeg tries to figure out all the parameters, when possible. You have
usually to give only the target bitrate you want. FFmpeg can also convert
from any sample rate to any other, and resize video on the fly with a high
quality polyphase filter.

Install this package if you want to compile apps with ffmpeg support.


%prep
%setup -q -n %{name}-%{?date:cvs-%{date}}%{!?date:%{version}}

%build
# Don't call ldconfig on install
perl -pi -e 's/ldconfig \|\| true//' libavcodec/Makefile

%configure \
	%{!?_without_a52dec: --enable-a52bin} \
	%{!?_without_lame: --enable-mp3lame} \
	%{!?_without_vorbis: --enable-vorbis} \
	--enable-shared
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

# Make installlib is broken in 0.4.6, so we do it by hand
install -m 644 libavcodec/libavcodec.a %{buildroot}%{_libdir}

# Create compat symlink
mkdir %{buildroot}%{_libdir}/libavcodec
ln -s ../libavcodec.a %{buildroot}%{_libdir}/libavcodec/libavcodec.a

# Remove from the included docs
rm -f doc/Makefile

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc COPYING CREDITS Changelog README doc/
%{_bindir}/*
%{_libdir}/libavcodec-*.so
%{_libdir}/libavcodec.so
%{_libdir}/vhook

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/libavcodec
%{_libdir}/libavcodec.a


%changelog
* Tue Feb 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Moved libavcodec.so to the main package to fix dependency problems.

* Wed Feb 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Major spec file updates, based on a very nice Mandrake spec.
- Revert to the 0.4.6 release as CVS snapshots don't build.

* Tue Feb  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

